Page MenuHomePhabricator

Fatal exception of type MWException on ptwiki: "Cannot get mml."
Closed, ResolvedPublic

Description

I'm getting

[VyoEOwpAEK0AAEx8jVoAAAAJ] 2016-05-04 14:16:28: Fatal exception of type MWException
[VyoEVQpAEEgAADHWfHcAAABP] 2016-05-04 14:16:53: Fatal exception of type MWException

at https://pt.wikipedia.org/wiki/Matem%C3%A1tica_financeira

Event Timeline

He7d3r created this task.May 4 2016, 2:17 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 4 2016, 2:17 PM
Krenair added a subscriber: Krenair.
2016-05-04 14:16:28 [VyoEOwpAEK0AAEx8jVoAAAAJ] mw1218 ptwiki 1.27.0-wmf.22 exception ERROR: [VyoEOwpAEK0AAEx8jVoAAAAJ] /wiki/Matem%C3%A1tica_financeira   MWException from line 410 of /srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/MathRestbaseInterface.php: Cannot get mml. Server problem. {"exception_id":"VyoEOwpAEK0AAEx8jVoAAAAJ"} 
[Exception MWException] (/srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/MathRestbaseInterface.php:410) Cannot get mml. Server problem.
  #0 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/MathRestbaseInterface.php(85): MathRestbaseInterface->evaluateContentResponse(string, array, array)
  #1 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/MathRestbaseInterface.php(76): MathRestbaseInterface->getContent(string)
  #2 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/MathMathML.php(88): MathRestbaseInterface->getMathML()
  #3 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/Math.hooks.php(224): MathMathML->render()
  #4 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Math/Math.hooks.php(387): MathHooks::mathPostTagHook(MathMathML, Parser)
  #5 /srv/mediawiki/php-1.27.0-wmf.22/includes/Hooks.php(195): MathHooks::onParserAfterTidy(Parser, string)
  #6 /srv/mediawiki/php-1.27.0-wmf.22/includes/parser/Parser.php(1377): Hooks::run(string, array)
  #7 /srv/mediawiki/php-1.27.0-wmf.22/includes/parser/Parser.php(449): Parser->internalParseHalfParsed(string, boolean, boolean)
  #8 /srv/mediawiki/php-1.27.0-wmf.22/includes/content/WikitextContent.php(331): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
  #9 /srv/mediawiki/php-1.27.0-wmf.22/includes/content/AbstractContent.php(497): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
  #10 /srv/mediawiki/php-1.27.0-wmf.22/includes/poolcounter/PoolWorkArticleView.php(140): AbstractContent->getParserOutput(Title, integer, ParserOptions)
  #11 /srv/mediawiki/php-1.27.0-wmf.22/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
  #12 /srv/mediawiki/php-1.27.0-wmf.22/includes/page/Article.php(666): PoolCounterWork->execute()
  #13 /srv/mediawiki/php-1.27.0-wmf.22/includes/actions/ViewAction.php(44): Article->view()
  #14 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(503): ViewAction->show()
  #15 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(288): MediaWiki->performAction(Article, Title)
  #16 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(745): MediaWiki->performRequest()
  #17 /srv/mediawiki/php-1.27.0-wmf.22/includes/MediaWiki.php(519): MediaWiki->main()
  #18 /srv/mediawiki/php-1.27.0-wmf.22/index.php(43): MediaWiki->run()
  #19 /srv/mediawiki/w/index.php(3): include(string)
  #20 {main}

I can not see a problem at the moment.
Was that

[VyoEOwpAEK0AAEx8jVoAAAAJ] 2016-05-04 14:16:28: Fatal exception of type MWException
[VyoEVQpAEEgAADHWfHcAAABP] 2016-05-04 14:16:53: Fatal exception of type MWException

in the log or printed on the screen?

mobrovac closed this task as Resolved.May 4 2016, 3:16 PM
mobrovac claimed this task.
mobrovac added a subscriber: mobrovac.

There was a transient problem on the relation RESTBase <-> EventBus which started causing time-outs for legitimate requests. This should not be happening any more, so closing the task. Feel free to reopen it if it starts happening again.

Shouldn't it fail in a way that doesn't cause fatal exceptions?

Aklapper renamed this task from Fatal exception of type MWException on ptwiki to Fatal exception of type MWException on ptwiki: "Cannot get mml.".May 4 2016, 3:20 PM

@Krenair I was really unsure how to classify exceptions thrown by the math extension. This might be a problem throughout the math extension. I got feedback from @bd808 in the process of updating the logging infrastructure. I would appreciate input on that from someone, who has experience with that in other extensions/core to homogenize the severity of exception.

IMHO, from the point of view of the Math extension it is a fatal exception, as there's really nothing it can do. Nor can it show the render. Alternatively, we might consider showing the formula's source TeX, but that feels somewhat misleading and semi-random.

@mobrovac the math extension could try it a second time, but that might make things worse for restbase.

@mobrovac the math extension could try it a second time, but that might make things worse for restbase.

Yeah, a couple retries with delays would be great.

He7d3r added a comment.May 9 2016, 3:09 AM

in the log or printed on the screen?

It was on the screen (a blank one, if I remember correctly)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM